Bug 1844092 - [oVirt] DNS VIP is no longer used
Summary: [oVirt] DNS VIP is no longer used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Gal Zaidman
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-04 15:34 UTC by OpenShift BugZilla Robot
Modified: 2020-07-13 17:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:43:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1782 None closed [release-4.5] Bug 1844092: Remove dns vip 2020-09-20 15:19:09 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:43:38 UTC

Comment 3 Jan Zmeskal 2020-06-08 15:20:53 UTC
Hi Gal, I tried to verify with openshift-install-linux-4.5.0-0.nightly-2020-06-08-113210. According to GH, your PR was merged on June 7 07:08 GMT+2. Therefore the mentioned build should for sure include your fix. However, when running openshift-install create install-config, I was asked for DNS VIP and could not proceed without supplying it. See here:

./openshift-install create install-config
? SSH Public Key /root/.ssh/id_rsa.pub
? Platform ovirt
? oVirt cluster golden_env_mixed_2
? oVirt storage domain iscsi_0
? oVirt network ovirtmgmt
? Internal API virtual IP <censored>
X Sorry, your reply was invalid: Value is required
? Internal DNS virtual IP [? for help] 

Seems like a failed verification but I wanto to double-check that I'm not using a wrong openshift-install build.

Comment 4 Gal Zaidman 2020-06-09 06:59:01 UTC
(In reply to Jan Zmeskal from comment #3)
> Hi Gal, I tried to verify with
> openshift-install-linux-4.5.0-0.nightly-2020-06-08-113210. According to GH,
> your PR was merged on June 7 07:08 GMT+2. Therefore the mentioned build
> should for sure include your fix. However, when running openshift-install
> create install-config, I was asked for DNS VIP and could not proceed without
> supplying it. See here:
> 
> ./openshift-install create install-config
> ? SSH Public Key /root/.ssh/id_rsa.pub
> ? Platform ovirt
> ? oVirt cluster golden_env_mixed_2
> ? oVirt storage domain iscsi_0
> ? oVirt network ovirtmgmt
> ? Internal API virtual IP <censored>
> X Sorry, your reply was invalid: Value is required
> ? Internal DNS virtual IP [? for help] 
> 
> Seems like a failed verification but I wanto to double-check that I'm not
> using a wrong openshift-install build.

No, you just didn't understand the fix :)
We didn't change the installer here, so users will still be asked for it and so on,
This is a fix for the MCO so the DNS VIP is never used (but at the moment we still ask for it :D)
There is a PR [1] that removes it from the installer.
So I think that you can just leave it empty or give a random one for now.
 
[1] https://github.com/openshift/installer/pull/3692

Comment 5 Jan Zmeskal 2020-06-09 07:08:31 UTC
Hi Gal,

I see. In that case, I'm glad I asked. :-) What confused me is that the Component of this BZ is Installer. Keep in mind that I don't really read the code, so base my verification on what is written in the BZ. However, upon inspecting the PR, I found out, that the fix is actually in MCO. Now there's probably no big point in changing the Component, but let's keep this in mind for future. When I see that the fix in Installer, I expect not to encounter it in openshift-install. Let me verify with this new knowledge.

Comment 6 Gal Zaidman 2020-06-09 07:13:32 UTC
(In reply to Jan Zmeskal from comment #5)
> Hi Gal,
> 
> I see. In that case, I'm glad I asked. :-) What confused me is that the
> Component of this BZ is Installer. Keep in mind that I don't really read the
> code, so base my verification on what is written in the BZ. However, upon
> inspecting the PR, I found out, that the fix is actually in MCO. Now there's
> probably no big point in changing the Component, but let's keep this in mind
> for future. When I see that the fix in Installer, I expect not to encounter
> it in openshift-install. Let me verify with this new knowledge.

Make sense, noted, not sure why I opened it on the installer

Comment 7 Jan Zmeskal 2020-06-09 11:21:33 UTC
Verified with: openshift-install-linux-4.5.0-0.nightly-2020-06-08-113210

Verification steps: 
Run installation using prepared install-config while providing "1.2.3.4" as dns_vip.

Comment 8 errata-xmlrpc 2020-07-13 17:43:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.